<script setup>
import { gsap } from 'gsap'
import { ScrollTrigger } from 'gsap/ScrollTrigger'

useSeoMeta({
  title: 'GSAP Example',
})

gsap.registerPlugin(ScrollTrigger)

onMounted(() => {
  for (let n = 1; n <= 10; n++) {
    const el = document.querySelector(`[data-screen="${n}"]`)
    const tl = gsap.timeline({ scrollTrigger: el, repeatRefresh: true })
    tl.to(el, { x: random(), duration: 1, opacity: 1 })
    tl.to(el, { y: random(), duration: 1 })
    tl.to(el, { x: random(), duration: 1 })
  }
})

function random(min = 0, max = 600) {
  return min + Math.floor(Math.random() * (max - min))
}
</script>

<template>
  <div class="relative">
    <div class="sticky left-0 right-0 top-0 z-100 flex items-center gap-4 bg-light p-2 shadow dark:bg-dark dark:color-light">
      <RouterLink class="absolute flex items-center gap-2 rounded bg-green/25 p-2 transition hover:bg-green/50" to="/examples">
        <i class="i-carbon-arrow-left"></i>
        Back
      </RouterLink>
      <h2 class="flex-grow py-2 text-center text-2xl">
        GSAP
      </h2>
    </div>
    <div v-for="n in 10" :key="n" :data-screen="n" class="m-2 h-100px w-100px bg-green/10 p-2 text-center opacity-0">
      <h2>box {{ n }}</h2>
    </div>
  </div>
</template>
